Package org.codehaus.janino.util.charstream

# Class UnexpectedCharacterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.codehaus.janino.util.charstream.UnexpectedCharacterException

All Implemented Interfaces:
  `Serializable`

public class UnexpectedCharacterException extends IOException
Indicates that `CharStream.read()` did not find the character(s) it expected.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnexpectedCharacterException()`
`UnexpectedCharacterException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnexpectedCharacterException

public UnexpectedCharacterException()

### UnexpectedCharacterException

public UnexpectedCharacterException(String message)